Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSNotationDeclaration

All Superinterfaces:
  XSObject

    public interface XSNotationDeclaration

extends XSObject

This interface represents the Notation Declaration schema component.

Method Summary
`XSAnnotation` | `getAnnotation()` An annotation if it exists, otherwise `null`.
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`java.lang.String` | `getPublicId()` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`java.lang.String` | `getSystemId()` The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getSystemId

    java.lang.String getSystemId()

  The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getPublicId

    java.lang.String getPublicId()

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

### getAnnotation

    XSAnnotation getAnnotation()

  An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

### getAnnotations

    XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.